> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update bandwidth packages

> Allows to increase or decrease bandwidth packages. Only admins and owners can request.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /plans/bandwidth
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /plans/bandwidth:
    post:
      tags:
        - Plans
      summary: Update bandwidth packages
      description: >
        Allows to increase or decrease bandwidth packages. Only admins and
        owners can request.
      operationId: update-plans-bandwidth
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - bandwidth_packages
                    attributes:
                      type: object
                      properties:
                        project:
                          type: string
                          description: The project (ID or Slug) to add bandwidth
                        quantity:
                          type: integer
                          description: The total amount you want to have
                        region_slug:
                          type: string
                          description: The region to add bandwidth
            examples:
              Success:
                summary: Success
                value:
                  data:
                    type: bandwidth_packages
                    attributes:
                      project: proj_z2A3DVZ3DnawP
                      region_slug: brazil
                      quantity: 5
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - bandwidth_packages
                    attributes:
                      type: object
                      properties:
                        project:
                          type: string
                          description: The project (ID or Slug) to add bandwidth
                        quantity:
                          type: integer
                          description: The total amount you want to have
                        region_slug:
                          type: string
                          description: The region to add bandwidth
            examples:
              Success:
                summary: Success
                value:
                  data:
                    type: bandwidth_packages
                    attributes:
                      project: proj_z2A3DVZ3DnawP
                      region_slug: brazil
                      quantity: 5
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      type: bandwidth_packages
                      attributes:
                        project:
                          id: proj_z2A3DVZ3DnawP
                          name: Orn-Reilly
                          slug: orn-reilly
                        packages:
                          - region_slug: united-states
                            unit_price: 0.5
                            currency: USD
                            contracted: 10
                            total_price: 5
                          - region_slug: brazil
                            unit_price: 4.6
                            currency: USD
                            contracted: 0
                            total_price: 0
              schema:
                $ref: '#/components/schemas/bandwidth_packages'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.plans.update_bandwidth(data={
                    "type": latitudesh_python_sdk.UpdatePlansBandwidthPlansType.BANDWIDTH_PACKAGES,
                    "attributes": {
                        "project": "proj_z2A3DVZ3DnawP",
                        "quantity": 5,
                        "region_slug": "brazil",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.UpdateBandwidth(ctx, operations.UpdatePlansBandwidthPlansRequestBody{\n        Data: &operations.UpdatePlansBandwidthPlansData{\n            Type: operations.UpdatePlansBandwidthPlansTypeBandwidthPackages.ToPointer(),\n            Attributes: &operations.UpdatePlansBandwidthPlansAttributes{\n                Project: latitudeshgosdk.Pointer(\"proj_z2A3DVZ3DnawP\"),\n                Quantity: latitudeshgosdk.Pointer[int64](5),\n                RegionSlug: latitudeshgosdk.Pointer(\"brazil\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.BandwidthPackages != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.plans.updateBandwidth({
                data: {
                  type: "bandwidth_packages",
                  attributes: {
                    project: "proj_z2A3DVZ3DnawP",
                    quantity: 5,
                    regionSlug: "brazil",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    bandwidth_packages:
      type: object
      properties:
        type:
          type: string
          enum:
            - bandwidth_packages
        attributes:
          type: object
          properties:
            project:
              type: object
              properties:
                id:
                  type: integer
                name:
                  type: string
                slug:
                  type: string
            packages:
              type: array
              items:
                type: object
                properties:
                  region_slug:
                    type: string
                  currency:
                    type: string
                  unit_price:
                    type: number
                  contracted:
                    type: integer
                  total_price:
                    type: number
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````